/*
 *  In Java, every program consists of classes.
 *  Example1 is one such class
 */
public class Example1 {
	/*
	 * Our Java programs start executing somewhere
	 * The "main" function determines the starting point
	 * of our program
	 */
	public static void main(String[] args)
	{
		/*
		 *  Here, we are creating a variable L
		 *  which consists of an "array" of integer
		 *  numbers
		 */
		int[] L = {10,0,99,1,255,1,3,2};
		/*
		 * Here we are creating a variable that will 
		 * contain our desired result
		 */
		int MAX= L[0];
		/*
		 * This is one of the many ways in which we can 
		 * execute loops in Java. This is just saying "For
		 * every number 'n' in the array 'L', execute whataver
		 * is inside the brackets"
		 */
		for(int n: L){
			/*
			 * This is a conditional statement.
			 * If 'n' is greater than 'MAX', we
			 * replace 'MAX' with the value of 'n'.
			 */
			if(n>MAX){
				MAX=n;
			}
		}
		/*
		 * This is how we now that we got the correct result
		 * We 'print' the value of MAX (YOu should see this 
		 * in the console of Eclipse)
		 */
		System.out.println(MAX);    
	}
}
